var XoviDataTable = {
    loadData: function (options) {
        let settings = {
            'hidePages': false
        };

        if (options !== undefined && typeof options === 'object') {
            settings = Object.extend(options);
        }

        setLoadIcon();
        hideColumns();

        let dataReady = function () {
            if (settings.hidePages) {
                $$('div.paging').each(function (div) {
                    div.update('');
                });
            }
            removeTableLoader(this._id);
        };

        $$("div[id^='pleskext-xovi-view-lists'].js-list").each(function (e) {
            let list = Jsw.getComponent(e.id);
            list.reload();
            list._onRedraw = dataReady;
        });


        function setLoadIcon() {
            $$("div[id^='pm-list-box-']").each(function (div) {
                $(div).insert({
                    before: '<div class="table-loader">' +
                        '<img src="/modules/xovi/images/icons/indicator.gif" width="30" height="30">' +
                        '</div>'
                });
            });
        }

        function hideColumns() {
            $$('.js-empty-list').each(function (p) {
                p.hide();
            });
        }

        function removeTableLoader(id) {
            let el = document.getElementById(id),
                sel = findAncestor(el, 'div.active-list'),
                loader = sel.getElementsByClassName('table-loader');
            while (loader.length > 0) loader[0].remove();
        }

        function findAncestor(el, sel) {
            while ((el = el.parentElement) && !((el.matches || el.matchesSelector).call(el, sel))) ;
            return el;
        }
    }
};